<?php
/**
 * Userview
 *
 * Enth&auml;lt verschiedene Funktionen, die entsprechende Datenumwandlungen
 * f&uuml;r die Benutzerverwaltung vornehmen.
 *
 * @package baseContent
 * @subpackage user
 */
class user_view extends fl_view {
	/*
	function get_target() {
		echo $this->data['from'];
	}
	 */
	/**
	 * Benutzerlevel zurückgeben
	 *
	 * Es werden die Benutzerlevel zurückgegeben, die einem Benutzer zugeteilt werden können.
	 * Die Rückgabe erfolgt im Format für Dropdowns: kommaseparierte "Wert=Beschreibung"-Paare.
	 *
	 * @param int $current Der Level des aktuelle eingeloggten Benutzers
	 * @return string
	 *
	 * @todo Daten aus Datenbank holen.
	 */
	function get_levels($current) {
		$get_levels = array();
		
		$level = array(
			#'0'=>array(
			#	'level'=>0,
			#	'name'=>'Besitzer'
			#),
			'1'=>array(
				'level'=>1,
				'name'=>'Administrator'
			),
			'2'=>array(
				'level'=>2,
				'name'=>'Benutzer'
			)
		);

		foreach( $level as $value ) {
			if ( $value['level'] < $current ) continue;

			$get_levels[] = $value['level'].'='.$value['name'];
		}
		$get_levels = implode(',', $get_levels);

		return $get_levels;
	}
}
?>
